﻿:root {
    --mfa-color-primary: #26628e;
    --mfa-color-primary-light: #3380A8;
    --mfa-table-heading-bg: #f5f5f5;
    --mfa-panel-heading-bg: #333;
}

.navbar-custom {
    background-color: var(--mfa-color-primary);
    background-image: linear-gradient(to top, var(--mfa-color-primary), var(--mfa-color-primary-light));
    border-color: var(--mfa-color-primary);
    border-radius: 0 !important;
    color: #fff;
    width: 100%;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

    .navbar-custom .navbar-brand {
        color: #fff;
        font-size: 2.5rem;
    }

        .navbar-custom .navbar-brand:hover,
        .navbar-custom .navbar-brand:focus {
            color: #ddd;
        }

    .navbar-custom .navbar-subtitle {
        color: #fff;
        font-size: 1.75rem;
        margin-top: -5px;
    }

    .navbar-custom .navbar-username {
        color: #fff;
        font-size: 1.75rem;
        margin-top: 1rem;
        padding-top: 1rem;
    }

/* Custom font utilities */
.fw-bold {
    font-weight: 700 !important;
}

.fw-medium {
    font-weight: 500 !important;
}

.fw-bolder {
    font-weight: bolder !important;
}

.text-center {
    text-align: center !important;
}

.nowrap {
    white-space: nowrap;
}

/* Custom Flexbox Utility Classes */

.d-flex {
    display: flex;
}

.d-inline-flex {
    display: inline-flex;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-grow-1 {
    flex-grow: 1;
}

.flex-shrink-0 {
    flex-shrink: 0;
}

.gap-3 {
    gap: 3rem;
}

.gap-5 {
    gap: 5rem;
}

.gap-10 {
    gap: 10rem;
}

.pl-5 {
    padding-left: 5rem;
}

.pl-10 {
    padding-left: 10rem;
}

/* Search page grid styles */

th.rgHeader[class^="ec"] {
    text-align: left !important;
}

td.eAttrEdit.ecEmailAddress .riSingle {
    width: 160px !important;
}

body.ePageFF td.ecAttrTable div.ecDivAttr {
    width: auto !important;
}

table.eRadGrid thead {
    position: sticky;
    top: 0;
    background-color: white;
    z-index: 1;
}
.eHighlightDupeOdd {
    background-color: #9fd3ed !important;
}

.eHighlightDupeEven {
    background-color: #fad29d !important;
}
